[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

[PATCH] build/buildcheck.sh: check also autoheader

From: Jani Averbach <jaa_at_cc.jyu.fi>
Date: 2002-10-21 13:36:07 CEST

Hi!

This very small pacth add test for autoheader. I think that this is
relevant if user set AUTOCONF, but forget set AUTOHEADER. I also add
some advertisement about those variable to error message.

The patch has been generated against version 3425.

Log message:

* build/buildcheck.sh : Add check also for autoheader, and made output
  more verbose in case that wrong version of autoconf/autoheader has been
  found.

Index: build/buildcheck.sh
===================================================================
--- build/buildcheck.sh
+++ build/buildcheck.sh Mon Oct 21 14:16:45 2002
@@ -18,10 +18,32 @@
 if test "$1" = "2" -a "$2" -lt "50" || test "$1" -lt "2"; then
   echo "buildcheck: autoconf version $ac_version found."
   echo " You need autoconf version 2.50 or newer installed."
+ echo " If you have sufficient autoconf installed but it is not named ''autoconf''"
+ echo " you should set AUTOCONF variable to correct value."
   exit 1
 fi

 echo "buildcheck: autoconf version $ac_version (ok)"
+
+#--------------------------------------------------------------------------
+# autoheader 2.50 or newer
+#
+ah_version=`${AUTOHEADER:-autoheader} --version 2>/dev/null|head -1| sed -e 's/^[^0-9]*//' -e 's/[a-z]* *$//'`
+if test -z "$ah_version"; then
+ echo "buildcheck: autoheader not found."
+ echo " You need autoheader version 2.50 or newer installed."
+ exit 1
+fi
+IFS=.; set $ah_version; IFS=' '
+if test "$1" = "2" -a "$2" -lt "50" || test "$1" -lt "2"; then
+ echo "buildcheck: autoheader version $ah_version found."
+ echo " You need autoheader version 2.50 or newer installed."
+ echo " If you have sufficient autoheader installed but it is not named ''autoheader''"
+ echo " you should set AUTOHEADER variable to correct value."
+ exit 1
+fi
+
+echo "buildcheck: autoheader version $ah_version (ok)"

BR, Jani

--
Jani Averbach
---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@subversion.tigris.org
For additional commands, e-mail: dev-help@subversion.tigris.org
Received on Mon Oct 21 13:36:54 2002

This is an archived mail posted to the Subversion Dev mailing list.

This site is subject to the Apache Privacy Policy and the Apache Public Forum Archive Policy.